QGIS Application - Bug report #3318
OGR converter and MySQL
2010-12-11 07:33 AM - bradypus -

Status: Closed

Priority: Low

Assignee: Jurgen Fischer

Category: Vectors

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupts data: Copied to github as #: 13378
Description

| tried to use OGR Converter plugin to save a shapefile in [[MySQL]]. There is no way to make it work. | Tried different syntaxes for mysq|
connection, but no way. This one:

[[MySQL]]:mydb,host=localhost,user=myuser,password=mypasswd,port=3306

takes few time to execute before "Could not establish connection” error appears.

Anyway I'm able to run successfully ogr2ogr.exe (WIN) on command line and it works: syntax for cli is (as in
http://www.bostongis.com/PrinterFriendly.aspx?content_name=ogr_cheatsheet):

ogr2ogr -f "MySQL"

MY SQL:"mydb,host=localhost,user=myuser,password=mypasswd,port=3306" -nin "tmp" -a_srs "EPSG:32638" "path/to/shapefile.shp"

History

#1 - 2011-03-02 08:21 AM - Paolo Cavallini

| suggest removing the plugin before releasing QGIS 1.7

#2 - 2011-03-04 09:46 AM - Paolo Cavallini
- Resolution set to wontfix

- Status changed from Open to Closed

Removed as per commit:f557e5d6 (SVN r15332)
